Overview

Overview - What is Babylon?

Babylon is a program that provides on-screen information @ a click in all Windows applications.

Using Babylon you can search and receive precise, up-to-date information on any topic that interests you. Receive only the information you want from your favorite glossaries, pre-chosen and selected from our Babylon Index according to your interest categories.

Babylon automatically recognizes the word, expression or value you point your mouse at, regardless of which application displayed the word, and where it has appeared on your screen. You can get glossary definitions for words, convert currency, measurements and times, and even hear the correct pronunciation of the word you searched, all according to what you have clicked on or entered in the Babylon search box.


Getting Started

To search for information with Babylon Tool, point your mouse at any key-word or text shown on your screen and click on it using the configuration you chose during the installation (the default setting is the right mouse button). When you click on a word Babylon Find Window will pop-up. When you click on a number, the Babylon Conversion Window will pop-up.

Another way to activate Babylon Tool is to click on any empty space on your screen. This will immediately open the Babylon Search Window. Type in your word, expression, or value in the Search Box. Press "enter" or click go to receive results.

You can view or change Babylon Tool's default settings from Babylon Menu. Right click the blue Babylon icon in the system tray, or click on the "menu" icon from Babylon Tool and choose "configuration".


Registration to Glossaries

Register to Glossaries

It is recommended to register to glossaries when you start using the Babylon Tool. The registered glossaries will always be the first glossaries checked by Babylon each time you look up a word. This way, your first results will always be from favorite glossaries you have hand-picked for your own Babylon personal glossary database.

There are two ways to register to a glossary:

  • Subscribe - Register to glossaries for on-line use only. If you wish to work off-line you must download the glossary. Because the look-up takes place on-line, it will take you longer to receive results.

  • Download - Register to glossaries for both on-line and off-line use. The glossaries will be downloaded to your hard disc. The results you receive from these glossaries will be immediate.


Search

Find Mode

Babylon's main feature is the find mode. After you activate Babylon, enter your search entry in the Search Box and click go. Babylon will search in all the registered glossaries that are active in My List. In addition, unregistered glossaries will also be searched (if you are on-line), once you click on the "more results" link, that will appear at the bottom of the search result window. The names of the glossaries in which results were found, will appear in the Glossary Results Bar.

For information on additional aids in the Find Mode click here .


Search Box

Babylon Search Box

The words or expressions you click on will appear in the Search Box. Another way of using the Search Box is to activate Babylon, then type in your search entries- words, expressions or values.

Once the search has been made, you can search again by typing over your current search entry and press "enter". You can also view your last search entries by pulling down the menu next to the search box.


WebSearch

This option is for searching for information in the World Wide Web. To access the Web Search Menu - click on the arrow icon right of the search box and choose your preferred reference site or search engine. Your selection will remain as default until you choose other-wise. To search, click on the magnifying glass icon.


Result Window

Viewing Results

In this window the results of your search are displayed. Scroll through the results using the scroll bar on the right side of the window.

You can also jump to a specific glossary results by opening the Result Glossary Bar and clicking on any glossary name from the list.


More Results

When you are on-line you can search for additional results in all the glossaries available from Babylon website. To receive more matching results for your search entry, click on the "more results" button when shown at the bottom of the result window. After searching the Main Index, Babylon will add the additional results to the Result Window.


Possible Corrections

If no matches were found for your search, it might mean that you misspelled the word you were looking for. Babylon can offer you possible corrections to your search entry. This option is available only if you are searching in dictionaries or glossaries that are installed for offline use. When you see a "corrections" link at the bottom of the Result Window, click on it to get the list of corrections.


Glossary Menu

By clicking on a glossary header from the result window, you open its glossary menu . The following options are available from this window :

  • Info - When chosen for a registered glossary this option will pop you to the glossary info in "MyList". When chosen for an unregistered glossary you will be take to the glossary template in Babylon website.

  • Rate - Give this glossary a rate between one and five stars.

  • Download - Download this glossary for off-line use.

  • Suggest a Word - Suggest a word to the author of this glossary. (available only online)

  • Recommend a Glossary - Recommend this glossary to a friend. (available only online)

  • Write to Author - Send your personal message to the author of this glossary. (available only online)


Glossary Bar

Results Glossary Bar

To open the Result Glossary Bar window click on the arrow to the left of the search box. This list shows the glossaries in which Babylon found results to your last search. Each time you search you can choose to get immediate results from your registered list of glossaries in MyList. For each search you make you can choose which glossaries to activate from MyList. These settings will be saved in Babylon until you change them.

To view the information on a glossary and switch between results, click on a glossary from the Result Glossary Bar, and the result window will bring you to the search result from that specific glossary.


Additional Aids

Connection Status

There are two modes of searching in Babylon : online and offline. If you are working online and you wish to search only in your downloaded glossaries, switch to Babylon offline mode.

To switch between online or offline modes by clicking on the revolving Babylon icon located at the top left corner of the result window. This icon also display your connection status, and have a few modes:

  • Green - Online. You will get results from all your registered glossaries (both installed and subscribed) as well as from unregistered glossaries.

  • Red - Offline. You will get results only from downloaded registered glossaries.

  • Revolving Icon - Recieving. Babylon is connecting to the web server to get results from subscribed glossaries or from unregistered glossaries.

  • Yellow - Connection Failed. Babylon was unable to connect to the web server. This may indicate one of two problems:

  1. Babylon server is offline or overloaded. Please try searhcing again later.

  2. Your connection settings are not configured properly. You can check these settings by choosing "Configuration > Connection" from the menu.


Resize

If you wish to to resize your screen, drag the frame of the Babylon Window (from anywhere except the bottom of the Result Window). By dragging the left side of the frame you are resizing the Glossary Bar, while dragging the right side will resize the Result Window. Dragging the middle bar between the two, will cause the proportions between them to change.

Clicking the square icon from the bottom right hand corner, will restore the screen to it's default size.


Your Glossaries

MyList of Glossaries

This Window stores the list of glossaries you have registered to. When Babylon is activated, the glossaries in Mylist that are active will be searched first for matching results. To access your glossary list, click on the "MyList" icon from Babylon main window.

The list of registered glossaries (Glossary Bar) is on the left side of the window, while on the right, in the Info Window, you can view more details on each of the glossaries from the profile cards.

This list of glossaries can be modified from this window at any time.

Click here for an overview of MyList mode

1. The order of the glossaries displayed in this window, is the same order in which you will receive your results. Change the order of the glossaries by dragging them along the Glossary Bar.

2. The glossaries in bold are downloaded while the ones that are not in bold are just subscribed to. To learn how to download subscribed glossaries, click here.

3. The check box indicates that the glossary is activated. To learn more about activating and deactivating glossaries, click here.

4. You can sort your registered glossaries to different folders. Each folder is lsited with a small triangular icon. You can expand the folder tree to view all the glossaries in a certain folder by double clicking on the folder name.


Glossary Registration

By subscribing to glossaries according to fields of interest, you ensure that the first results you get for every search, will contain the information that you are looking for. To customize a search, you can limit the glossaries that are activated to those related to the specific search subject (for example) If you want only results related to Sports, you would leave only the Sports related glossaries active, before performing a search, and disable your translation dictionaries.

You can register to Babylon Glossaries from the following locations :

  • From Babylon's Web-site: Search the Index and subscribe and/or download your choice of glossaries. You can access Babylon Index directly from Babylon Menu by choosing "Glossary Options > Add from Babylon Index."

  • From Your Babylon Tool:

  1. From Find Mode: For each search you make online, Babylon can suggest more results from Babylon Index. When you see the "more results" link from the Result Window, click on it to receive additional results from glossaries relevant to your search. Click on the "add glossary" icon [image] from the glossary header and choose to subscribe or to download.

  2. From MyList Mode you can download glossaries you are subscribed to. Click on the glossary you wish to download from the Glossary Bar on the left. In the Info Window click on the download button . If this icon is grey, it means that you have already downloaded the glossary.

If you wish to use Babylon for offline searches, you must download the glossary or dictionary you wish to search in. You can do so in three ways:

  1. Download any of the available glossaries from Babylon Index

  2. When searching online and receiving a result from a glossary or a dictionary you wish to download, click on the "add glossary" icon [image], or click on the glossary header and choose "Download".

  3. If you wish to download a subscribed glossary, click on the "download" button from the info screen in "MyList" window.


Organize Your Glossaries

  • Activating & Deactivating Glossaries

  • Add/Remove Glossaries

  • Sorting your Glossaries

1. Activating & Deactivating Glossaries -

Each time you search Babylon, you can choose from which glossaries to get results by activating or deactivating specific glossaries.

When a glossary is activated you will see the red square next to it checked. To deactivate a glossary, click on this square and uncheck it. Reactivate the glossary by checking again the empty square.

You can also activate and deactivate glossaries from the right-mouse-button menu when you right click on any glossary from MyList and choose "status".

2. Add/Remove Glossaries

  • To remove glossaries from MyList, right click on the glossary you want to delete from the Glossary Bar and pressing "delete". You can also delete by clicking on the glossary and deleting from your keyboard.

  • Add glossaries from the Index - to learn more go to Glossary Registration.

3. Sorting Your Glossaries -

You can sort your registered glossaries using folders in which you can file the different glossaries.

To Create a new Folder:

  • Right click anywhere in the Glossary Bar in MyList mode, and choose "new folder" from the menu.

  • Type a name for the folder. You can re-name your folder by pressing F2 from your key-board

  • When the folder is closed it will be displayed with [image] next to it. To view the glossaries filed in it, you can expand the folder by double clicking on it.

  • To File your glossaries in the Folder you created, drag your glossary under the folder you wish to have it filed. You can move the folders themselves in the same manner.

  • You can also change the order in which the glossaries are displayed simply by dragging them along the glossary bar. This determines also the order in which the search results are displayed in the "find" mode.


Your Glossaries Info

Info Window

Details on registered glossaries can be viewed from the Info Window in MyList mode. Just click on the glossary you wish to view from the Glossary Bar on the left. Information on a glossary includes - Author's name, Number of definitions, glossary description, last update, glossary file size, rating, and description.

  • Download - If you have not downloaded this glossary, you have the option of doing so by clicking on the "download" button. This option is available only online.

  • Index - Choosing this option will take you to Babylon website where you can search for more glossaries.

  • Recommend to a friend - Click on this icon to send a recommendation about a certain glossary.

  • Rating - To rate the glossary yourself click on this icon and give your rating of 1 to 5 starts. In the glossary info itself you will be able to view 3 kinds of rating: users rating, popular rating determined by number of downloads, and Babylon's rating.

  • Mail - Send your comments to the Author of this glossary. This option is available only online.

  • Last Update - The last date when the glossary was updated by the Author.

  • Size - How big is this glossary? Smaller glossaries are easier to download for off-line use while larger glossaries will usually have more comprehensive definitions.

  • Glossary Description - A general explanation about the content of the glossary.


Babylon Converter

The converter mode allows you to convert currencies, times and measurements. The conversion window appears every time you click on a number shown on your screen using the settings assigned to Babylon, or type in a number in Babylon search box.

You can make additional conversions by typing other numerical values in the editable source unit text box after you use the converter. This box can also be used for entering words to search, which will take you back to the "Find" mode.


Conversion Parameters

You can choose the parameters you need to convert (currency, measurements or time) from the category pull-down menu at the bottom left side of the conversion window.

Each category is divided into sub-categories that allows you to select the source and target units:

  • Currencies: By abbreviation (USD - US Dollar), By Country name (United States - Dollar, and by currency name (Dollar, Us).

  • Measurements: Angles, Area, Density, Energy, Force, Kitchen measurements, Length, Power, Pressure, Temperature, Time, Torque, Velocity, Volume, Weight.

  • Time: Time Zones (GMT, PST, etc.), Local Times (United Kingdom, Los Angeles, etc.)


Post-It

Save-It Mode

The Save-It Mode allows you to save glossary definitions found in Babylon, so you can view them again quickly and easily. "Save-it" will save your definitions in a separate personalized vocabulary list.

Click here to learn how to access this mode.

Learn how to save your definitions in Babylon and on your local drive.


Access Post-It

Activating Save-It

To activate the save-it mode follow these simple steps :

  1. Press the menu button on the Babylon interface, or click on the Babylon icon in the Nav Bar.

  2. Choose configuration

  3. Click on the find tab

  4. Check the option - 'Show Save-It mode Buttons'.

Once this mode is activated you can access it by clicking on the "Save-It" icon from the main tool bar.


Using Post-It

Using Save-It

Save your search results for future use both in Babylon or on your Local Drive :

  • In Babylon - Simply click on the push-pin icon shown on each search result header. The result frame (info and definition), will be saved in the "Save-It" window under the Saved Result List.

  • On your local drive - click on the "save" icon above the saved results list. Choose where to save your results in your local folders list. The default location is in the Babylon Folder.

To View Your Saved Definitions:

The definitions you saved can be viewed in the "Save-It" window, which is split into two sections, similar to the main search window:

  • Right side - The saved results window

  • Left side - The saved word list. Clicking on any one of your saved key-words will automatically bring you to the saved definition on the right.

You can also clear the list of saved words by pressing the "Delete all" button.


Text-To-Speech

The text-to-speech add-on enables you to hear the English pronunciation of words or phrases you click on or enter in the search box. This option is available only if you have a sound card installed on your computer.

The text-to-speech feature is an add-on that has to be downloaded and installed separately, and is available from Babylon Features page. When downloading, you can choose to install either male or female voice. The Text-to-speech voice and pronunciation can be changed from Babylon Configuration Menu under "Voice".

To hear the word or phrase, just click on the "say" icon located next to the search box. The same icon can appear on each definition header in the result window. To learn how to activate this option after you have downloaded, click here.

Download Male Voice

Download Female Voice


General

Do not forget to confirm your selections by clicking OK before leaving this window.

  • Launch Babylon on Windows StartUp - Uncheck this option if you don't want Babylon to start automatically when you restart your computer.

  • Always use last user-defined window size- Babylon window will always open in the size you choose and not in it's default size.

  • Security- Use this option to define which file types will pop-up a warning, when you open a file attached to a glossary definition.


Find

Do not forget to confirm your selections by clicking OK before leaving this window.

  • Activate Find - Choose the mouse setting you wish to assign to Babylon. You can configure a mouse button with a keyboard key. To activate Babylon click on the assigned button/s and the Babylon Search Box will pop-up.

  • Target Languages - Mark the languages in which you wish to receive your results when you search the Babylon Index.

  • Display results one at a time - Check this box to configure your Result Window to view the search results one by one using the arrows left of the scroll bar. Do not forget to click on "OK" before leaving the configuration window.

  • Show 'Save It' mode buttons - Check this box, to enable the Save-It mode. You will see the Save-It mode icon on your Babylon Tool's main tool bar, and a smaller icon within each definition header in your result window. Learn how to access and use this mode.

  • Show additional glossary buttons - Check this box to enable additional functions to each definition in the result window: "say it", minimize result, close result.

  • Size of 'Recent Searches' list - This menu determines the number of last searches you will be able to view from the search box pull down menu in the Find Mode.


Appearance

Choose the font and size to be used for the glossary definitions you receive from Babylon. For every language you can set a different font and size. Your slections are saved automatically even when the langauge lists is showing the default langauge again.

Do not forget to confirm your selections by clicking OK before leaving this window.


Connection

Do not forget to confirm your selections by clicking OK before leaving this window.

  • Internet Connection Type: Choose the type of connection you have to the Internet. Internet connection is used to search on-line, receive glossary updates, conversion updates and new versions of Babylon.

  • Proxy Setting: If you are connected to the Internet using a Proxy server or a Firewall check the "Connect through Proxy/Firewall server" option to specify the server address and port you are connecting thorugh.

  • Glossary Updates:

  1. Enable online Updates - Check to allow an automatic connection to babylon.com, so Babylon will automatically check for glossary updates. When this option is not checked, even though you connect to the Internet instead of the update-files you will receive a notification that new updates are available. You can see the last update for each glossary from it's Info Window in the MyList mode.

  2. Update Automatically - Whenever glossary updates are available from babylon.com, the glossary updates will be downloaded and installed automatically. If this option is unchecked, you will receive an announcement of updates and the Babylon icon will blink. This option is available only when you have checked 'enabled online updates', and works only when you are connected to the Internet.


Voice

Do not forget to confirm your selections by clicking OK before leaving this window.

Voice Options:

  • Language - Currently the only language available from babylon.com for the text-to-speech feature is English. If you have previously installed TTS engines in other languages, Babylon will automatically attempt to detect them and will allow you to choose other languages as well.

  • Voice - Select the voice for the text-to-speech feature.

  • Speed - Select the speed of the text-to-speech voice.


Glossary Options

Add from Babylon Index

Choosing this option will launch your Web Browser and take you to Babylon Index where you can search for more glossaries to register to.


Open Babylon Builder

Using Babylon Builder you can create your own glossaries. If you have installed Babylon Builder on your computer, this will launch the program. If you do not have the Babylon Builder installed, choosing this option will launch the web browser and take you to Babylon website, where you will be able to download Babylon Builder and register in Babylon Author's Area as a Glossary Author.


Install From Disk

If you have any Babylon Glossary files saved on your local drive - glossaries that you have created, downloaded or recieved from other glossary authors - use this option to install them in Babylon. Simply select the glossary file and Babylon will automatically run a short installation process which will enable you to use the glossaries.


Menu Language

This option enables you to choose the language in which all the menus and message updates will be displayed. The default language is the one chosen and used during the installation process. The chosen menu language is checked on the list.


Recommend Babylon

If you like using Babylon, send a recommendation about it to your friends. You can write a personalized message or use the default ready-made one.


Contact Babylon

Upgrade Babylon

Once a new version or build is released by Babylon, you can upgrade your version without having to re-install the program or enter Babylon's web-site. This option also checks for glossary and currency rates updates.


Send Us Feedback

If you have any comments or suggestions, or if you need technical assistance from our support center, use this option to send us a message.


Babylon Message Board

Connect to our site to read messages written by Babylon users world-wide, or post your own messages. Registration is not required and anyone can post their own messages. This message board is managed by Babylon's staff, to get first hand reviews from our users.


What's New

Read about the latest new releases from babylon.com in this section of Babylon Website.


Help

  • Contents - launches this Help File.

  • About Babylon - Shows you the current version and build of Babylon you are using.

  • Registration - You can update your registration details with Babylon. Submitting the form will update your details on Babylon servers the next time you will be on-line.


Main Menu

Disable

Disable frees up the assigned mouse button for non-Babylon work, and changes the icon color from blue to gray. The Disable option switches to Enable when you click on it, and vice versa.

A click on Enable restores the previously assigned mouse button to re-activate Babylon, and turns the icon color from gray to blue.


Comment on Your Glossaries

Comment on your glossary "Favorites" from the lower icon bar in the Info Window (These options are only available when you are on-line)

  • Rate-It - Influence the rating of glossaries. Click on the "rate-It" icon and choose how many Babylon Mascots this glossary should get - 1 being the lowest and 5 being the highest.

  • Write - Write to the author and suggest new entries to this glossary. Your comments will be added to a web page of suggestions that the author will consult when updating the glossary.

  • Recommend - Recommend Babylon to a friend. Enter the recipient's e-mail address and if you wish add a personal comment on the glossary.